Qt Utilities: QtUtilities::AboutDialog Class Reference

Qt Utilities 6.21.1 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
QtUtilities::AboutDialog Class Reference

The AboutDialog class provides a simple about dialog. More...

`#include <aboutdialog.h>`

Inheritance diagram for QtUtilities::AboutDialog:
[legend]
Collaboration diagram for QtUtilities::AboutDialog:
[legend]

## Signals
void | retranslationRequired ()

## Public Member Functions
| AboutDialog (QWidget *parent, const QString &applicationName, const QString &creator, const QString &version, const QString &website=QString(), const QString &description=QString(), const QImage &image=QImage())
| Constructs an about dialog with the specified information.
| AboutDialog (QWidget *parent, const QString &applicationName, const QString &creator, const QString &version, const std::vector< const char * > &dependencyVersions, const QString &website=QString(), const QString &description=QString(), const QImage &image=QImage())
| Constructs an about dialog with the provided information.
| AboutDialog (QWidget *parent, const QString &website=QString(), const QString &description=QString(), const QImage &image=QImage())
| Constructs an about dialog with the specified parent, description and image.
| ~AboutDialog () override
| Destroys the about dialog.

## Protected Member Functions
bool | event (QEvent *event) override

## Detailed Description

The AboutDialog class provides a simple about dialog.

Definition at line 18 of file aboutdialog.h.

## Constructor & Destructor Documentation

## ◆ AboutDialog() [1/3]

QtUtilities::AboutDialog::AboutDialog | ( | QWidget * | parent,
|  | const QString & | applicationName,
|  | const QString & | creator,
|  | const QString & | version,
|  | const QString & | website = QString(),
|  | const QString & | description = QString(),
|  | const QImage & | image = QImage() )
| explicit

Constructs an about dialog with the specified information.

Definition at line 109 of file aboutdialog.cpp.

## ◆ AboutDialog() [2/3]

QtUtilities::AboutDialog::AboutDialog | ( | QWidget * | parent,
|  | const QString & | applicationName,
|  | const QString & | creator,
|  | const QString & | version,
|  | const std::vector< const char * > & | dependencyVersions,
|  | const QString & | website = QString(),
|  | const QString & | description = QString(),
|  | const QImage & | image = QImage() )
| explicit

Constructs an about dialog with the provided information.

Parameters

  parent | Specifies the parent widget.
  applicationName | Specifies the name of the application. If empty, QApplication::applicationName() will be used.
  creator | Specifies the creator of the application. If empty, QApplication::organizationName() will be used.
  version | Specifies the version of the application. If empty, QApplication::applicationVersion() will be used.
  dependencyVersions | Specifies the dependency versions which were present at link-time. If empty, the application info from c++utilities is used.
  description | Specifies a short description about the application.
  website | Specifies the URL to the website of the application.
  image | Specifies the application icon. If the image is null, the standard information icon will be used.

Definition at line 40 of file aboutdialog.cpp.

## ◆ AboutDialog() [3/3]

QtUtilities::AboutDialog::AboutDialog | ( | QWidget * | parent,
|  | const QString & | website = QString(),
|  | const QString & | description = QString(),
|  | const QImage & | image = QImage() )
| explicit

Constructs an about dialog with the specified parent, description and image.

Definition at line 119 of file aboutdialog.cpp.

## ◆ ~AboutDialog()

QtUtilities::AboutDialog::~AboutDialog | ( |  | ) |
| override

Destroys the about dialog.

Definition at line 127 of file aboutdialog.cpp.

## Member Function Documentation

## ◆ event()

bool QtUtilities::AboutDialog::event | ( | QEvent * | event | ) |
| overrideprotected

Definition at line 131 of file aboutdialog.cpp.

## ◆ retranslationRequired

void QtUtilities::AboutDialog::retranslationRequired | ( |  | ) |
| signal

The documentation for this class was generated from the following files:

- aboutdialog/aboutdialog.h
- aboutdialog/aboutdialog.cpp